"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortKeyForSubscription = exports.partitionKeyForIndexByEntity = exports.partitionKeyForEvent = void 0;
function partitionKeyForEvent(entityTypeName, entityID, kind = 'event') {
    return `${entityTypeName}-${entityID}-${kind}`;
}
exports.partitionKeyForEvent = partitionKeyForEvent;
function partitionKeyForIndexByEntity(entityTypeName, kind) {
    return `${entityTypeName}-${kind}`;
}
exports.partitionKeyForIndexByEntity = partitionKeyForIndexByEntity;
function sortKeyForSubscription(connectionID, subscriptionID) {
    return `${connectionID}-${subscriptionID}`;
}
exports.sortKeyForSubscription = sortKeyForSubscription;
